Mesh NetzAusPartForm

From FreeCAD Documentation
Revision as of 21:43, 8 October 2020 by Maker (talk | contribs) (Created page with "{{Emphasis|Siehe auch:}} FreeCAD Grundlagen Skripten.")

Netz AusTeilForm

Menüeintrag
Polygonnetze → Erzeuge Polygonnetz aus Form...
Arbeitsbereich
Polygonnetz
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Keiner

Beschreibung

Dieser Befehl erzeugt ein Netz aus einem Formobjekt.

Die Umkehroperation ist Part FormAusNetz aus dem Part Arbeitsbereich.

Anwendung

Es gibt zwei Methoden:

  1. Entweder Du wählst das Formobjekt, dann wähle Meshes Netz aus Form erstellen... im oberen Menü.
  2. Einfach nur Meshes Netz aus Form erstellen... gibt Dir ein zusätzliches Menü, in dem Du Ihre Form für das Netz auswählen kannst.

Vernetzer

Dies sind die verfügbaren Vernetzer und ihre Einstellungen:

Standard Vernetzer

Du kannst diese Einstellungen ändern:

Mefisto Vernetzer

Die einzige Einstellung ist:

Netgen Vernetzer

Beispiel:

Gmsh Vernetzer

introduced in version 0.19

For Linux users: the external Gmsh module is required.

  • Meshing: select a meshing option:
    • Automatic
    • Adaptive
    • Delaunay
    • Frontal
    • BAMG
    • Frontal Quad
    • Parallelograms
  • Max. element size: a smaller value results in a finer mesh. Specify 0 to have this size automatically determined.
  • Min. element size: a smaller value results in a finer mesh. The value should be smaller than the Max. element size. Specify 0 to have this size automatically determined.
  • Angle: seems to be unsupported at this time.
  • Path: press the ... button and browse to the gmsh.exe path.
  • If the meshing process takes too long you can press the Kill button to abort it.
  • Press the Clear button to remove the information in the text area.

Hinweise

Einstellungen

Standard Vernetzer

  • The Surface deviation setting is stored: Tools → Edit parameters... → BaseApp → Preferences → Mod → Mesh → Meshing → Standard → LinearDeflection.
  • The Angular deviation setting is stored: Tools → Edit parameters... → BaseApp → Preferences → Mod → Mesh → Meshing → Standard → AngularDeflection.
  • The Relative surface deviation setting is stored: Tools → Edit parameters... → BaseApp → Preferences → Mod → Mesh → Meshing → Standard → RelativeLinearDeflection.

Gmsh Vernetzer

  • The Path is stored: Tools → Edit parameters... → BaseApp → Preferences → Mod → Mesh → Meshing → gmshExe.

Eigenschaften

See: Mesh Feature.

Skripten

Siehe auch: FreeCAD Grundlagen Skripten.

Dieses Werkzeug kann in Makros und von der Python Konsole aus mit der folgenden Funktion verwendet werden:

import FreeCAD, Part, Mesh, MeshPart

cyl = FreeCAD.ActiveDocument.addObject("Part::Cylinder","Cylinder")
FreeCAD.ActiveDocument.recompute()

msh = FreeCAD.ActiveDocument.addObject("Mesh::Feature", "Mesh")
msh.Mesh = MeshPart.meshFromShape(Shape=cyl.Shape, MaxLength=1)
msh.ViewObject.DisplayMode = "Flat Lines"